# Authorisation API

You can download the full swagger specification in JSON format below:

{% file src="/files/L0moFIn9O9Xy8K0uK5O3" %}

You can download the full swagger specification in YAML format below:

{% file src="/files/eSYWJomFslzPzxpvgR5s" %}

Retrieve the authorization token using oauth2 client credentials grant type. You can obtain your client credentials by navigating to the "[Credentials](https://portal.uqudo.com/credentials)" tab located in the "Development" section of our [Uqudo Customer Portal](/docs/kyc/readme/customer-portal.md)

**Note:** Don’t perform this operation inside your mobile application but only from your backend

<mark style="color:green;">`POST`</mark> `https://auth.uqudo.io/api/oauth/token`

Get the access token to use the uqudo SDK and the uqudo API.&#x20;

**Note**: The content type of the request is **application/x-www-form-urlencoded**

#### Request Body

| Name                                             | Type   | Description                                 |
| ------------------------------------------------ | ------ | ------------------------------------------- |
| grant\_type<mark style="color:red;">\*</mark>    | String | Use the fixed value **client\_credentials** |
| client\_id<mark style="color:red;">\*</mark>     | String | Provided client id                          |
| client\_secret<mark style="color:red;">\*</mark> | String | Provided client secret                      |

{% tabs %}
{% tab title="200: OK Content type: application/json" %}

```javascript
{
  "access_token": "JWS authorization token",
  "token_type": "bearer",
  "expires_in": 1800,
  "scope": "scopes",
  "jti": "30a622fd-11aa-464a-8eaf-6fa868540cb0"
}
```

{% endtab %}

{% tab title="401: Unauthorized Invalid client id or client secret" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-api/authorisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
